Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509980 - Node.js default stream should be 8 (not 6)
Summary: Node.js default stream should be 8 (not 6)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-modular-release
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F27ServerBetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2017-11-06 13:58 UTC by Nick Coghlan
Modified: 2018-11-27 19:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 19:49:50 UTC


Attachments (Terms of Use)

Description Nick Coghlan 2017-11-06 13:58:19 UTC
The F27 System Profile currently defaults to Node.js 6, with 8 requiring explicit opt-in.

This should be the other way around - 8 as the default, with an optional downgrade back to the Node.js 6 LTS release.

Comment 1 Fedora Blocker Bugs Application 2017-11-07 14:11:05 UTC
Proposed as a Freeze Exception for 27-server-beta by Fedora user sgallagh using the blocker tracking app because:

 Changing the default stream cannot be done easily post-install. It requires updating the fedora-modular-release package independently before installing any packages from the previous default stream (otherwise the stream must manually be changed by the user).

Given the difficulty of making this switch post-install, I request that we fix this as an FE for the Beta media.

Comment 2 Petr Schindler 2017-11-07 14:15:16 UTC
I'm +1 FE for this.

Comment 3 Adam Williamson 2017-11-07 17:26:05 UTC
Sure, +1 FE.

Comment 4 Tim Flink 2017-11-07 18:36:26 UTC
+1 FE which makes for +3. changing to accepted

Comment 5 Stephen Gallagher 2017-11-08 14:20:08 UTC
This should be present in the current composes.

Comment 6 František Zatloukal 2017-11-09 11:14:03 UTC
Fix confirmed in latest Modular Server.

Comment 7 Ben Cotton 2018-11-27 18:16:24 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.